﻿Imports System.Windows.Controls.Primitives
Imports Syncfusion.Windows.PdfViewer
Imports Syncfusion.Windows.Shared

Class MainWindow
    Public Sub New()
        ' This call is required by the designer.
        InitializeComponent()

        pdfViewer.Load("../../Data/HTTP Succinctly.pdf")
    End Sub
    Private Sub pdfViewer_Loaded(sender As Object, e As RoutedEventArgs)
        Dim toolbar As DocumentToolbar = TryCast(pdfViewer.Template.FindName("PART_Toolbar", pdfViewer), DocumentToolbar)

        Dim stampButton As ToggleButton = CType(toolbar.Template.FindName("PART_Stamp", toolbar), ToggleButton)

        Dim customMenuItem As MenuItem = CType(stampButton.ContextMenu.Items(1), MenuItem)

        'Create the instance of the image

        Dim image As System.Windows.Controls.Image = New System.Windows.Controls.Image()

        Dim BitmapImage As BitmapImage = New BitmapImage()

        BitmapImage.BeginInit()

        BitmapImage.CacheOption = BitmapCacheOption.Default

        BitmapImage.UriSource = New Uri("../../Data/download (8).png", UriKind.RelativeOrAbsolute)

        BitmapImage.EndInit()

        image.Source = BitmapImage
        If image.Width.Equals(Double.NaN) AndAlso image.Height.Equals(Double.NaN) Then
            image.Height = image.Source.Height
            image.Width = image.Source.Width
        End If
        'Create the viewbox And the image.

        Dim viewbox As Viewbox = New Viewbox()

        viewbox.Child = image

        Dim _grid As New System.Windows.Controls.Grid()

        'The Standard stamp size Is assigned to the grid size in order to maintain uniform size for stamp menu items.
        _grid.Width = 200
        _grid.Height = 50

        _grid.Children.Add(viewbox)

        'Sets the margin to the grid
        'Margin Is set inorder to seperate two images
        _grid.Margin = New Thickness(4, 4, 4, 8)

        customMenuItem.Items.Add(_grid)
    End Sub
End Class
